<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.svs.SUTConfiguration']}</h1>
                <s:decorate template="/sut/configurationsTable_common.xhtml">
                    <ui:param name="confman" value="#{systemConfigurationManager}"></ui:param>
                    <ui:param name="restrictAccess" value="#{true}"></ui:param>
                    <ui:define name="additionalText"></ui:define>
                    <ui:define name="filters">
                        <div class="row">
                            <div class="col-lg-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filterWidth" value="240"/>
                                    <ui:param name="filter" value="#{systemConfigurationManager.filter}"/>
                                    <ui:param name="filterId" value="name"/>
                                    <ui:param name="filterName" value="#{messages['gazelle.svs.Name']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                            <div class="col-lg-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filterWidth" value="240"/>
                                    <ui:param name="filter" value="#{systemConfigurationManager.filter}"/>
                                    <ui:param name="filterId" value="owner"/>
                                    <ui:param name="filterName" value="#{messages['users.Username']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filterWidth" value="240"/>
                                    <ui:param name="filter" value="#{systemConfigurationManager.filter}"/>
                                    <ui:param name="filterId" value="bindingType"/>
                                    <ui:param name="filterName" value="#{messages['gazelle.svs.BindingType']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                            <div class="col-lg-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filterWidth" value="240"/>
                                    <ui:param name="filter" value="#{systemConfigurationManager.filter}"/>
                                    <ui:param name="filterId" value="url"/>
                                    <ui:param name="filterName" value="#{messages['gazelle.svs.EndPoint']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                        </div>
                        <div class="row">
                            <s:div styleClass="col-lg-6"
                                   rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filterWidth" value="240"/>
                                    <ui:param name="filter" value="#{systemConfigurationManager.filter}"/>
                                    <ui:param name="filterId" value="isAvailable"/>
                                    <ui:param name="filterName" value="#{messages['gazelle.svs.Active']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </s:div>
                        </div>
                    </ui:define>
                    <ui:param name="globalFormId" value="globalForm"/>
                    <ui:define name="additional_columns">
                        <g:column sortBy="#{'bindingType'}" sortable="true" label="bindingType">
                            <ui:define name="header">#{messages['gazelle.svs.BindingType']}</ui:define>
                            <h:outputText value="#{currentConfig.bindingType}"/>
                        </g:column>
                    </ui:define>
                </s:decorate>
                <s:decorate id="editSystemConfigCommonDecorate" template="/sut/editSystemConfig_common.xhtml">
                    <ui:param name="confman" value="#{systemConfigurationManager}"/>
                    <ui:param name="restrictAccess" value="true"/>
                    <ui:param name="displayUsageSelection" value="true"/>
                    <ui:param name="displayUrlInput" value="true"/>
                    <ui:define name="additional_attributes">
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="bindingType"/>
                            <ui:define name="label">#{messages['gazelle.svs.BindingType']}</ui:define>
                            <h:selectOneMenu styleClass="form-control gzl-select-text" id="bindingType"
                                             value="#{systemConfigurationManager.selectedSystemConfiguration.bindingType}">
                                <f:selectItems
                                        value="#{systemConfigurationManager.getAvailableBindingsTypeAsItem()}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <s:decorate template="/layout/display/_display.xhtml">
                            <ui:define name="label">#{messages['gazelle.svs.LastChanged']}</ui:define>
                            <h:outputText id="lastChanged" value="#{systemConfigurationManager.selectedSystemConfiguration.lastChanged}"/>
                        </s:decorate>
                    </ui:define>
                </s:decorate>
                <ui:include src="/sut/configModalPanel.xhtml">
                    <ui:param name="confman" value="#{systemConfigurationManager}"></ui:param>
                </ui:include>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>